Colloquy 2.4.3 (6011)

The latest build on 3/22/2014 can be downloaded here (6.90 MB). Requires OS X 10.7 (Lion) and a 64-bit Intel Mac.

This release does not support Mac OS X 10.5 (Leopard) or Mac OS X 10.6 (Snow Leopard). Please update to Mac OS X 10.7 (Lion) to receive further updates and support for Colloquy. The last supported release for Leopard and Snow Leopard can be found here.

Changes in this Release

You can also subscribe to our Appcast RSS feed which always has the latest release and older release notes.

Older Releases & Nightlies

You can find older releases and other miscellaneous items in our downloads folder.

Colloquy Styles, Emoticons, Scripts & Plugins

You can find many extras to use with Colloquy in the Extras section of this site.

Copyright © 2000–2014 Javelin.cc.